## gate.gui
Class BootStrapDialog

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Dialog
                              |
                              +--javax.swing.JDialog
                                    |
                                    +--gate.gui.BootStrapDialog

All Implemented Interfaces:
  Accessible, ImageObserver, MenuContainer, RootPaneContainer, Serializable, WindowConstants

public class BootStrapDialog
extends JDialog

This class is used to handle BootStrap wizard with the Gate GUI interface.

See Also:
  Serialized Form

Inner Class Summary
`(package private) class` `BootStrapDialog.CreateResourceRunner` Class used to run an annot.

Inner classes inherited from class javax.swing.JDialog
`JDialog.AccessibleJDialog`

Inner classes inherited from class java.awt.Dialog
`Dialog.AccessibleAWTDialog`

Inner classes inherited from class java.awt.Window
`Window.AccessibleAWTWindow`

Inner classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.AWTTreeLock`

Field Summary
`(package private) BootStrap` `bootStrapWizard`
`(package private) JButton` `cancelButton`
`(package private) JButton` `chooseFolderButton`
`(package private) JLabel` `chooseFolderLabel`
`(package private) JTextField` `chooseFolderTextField`
`(package private) String` `className`
`(package private) JLabel` `classNameLabel`
`(package private) JTextField` `classNameTextField`
`(package private) JButton` `createResourceButton`
`(package private) JFileChooser` `fileChooser`
`(package private) JLabel` `interfacesLabel`
`(package private) JTextField` `interfacesTextField`
`(package private) MainFrame` `mainFrame`
`(package private) String` `packageName`
`(package private) JLabel` `packageNameLabel`
`(package private) JTextField` `packageNameTextField`
`(package private) String` `pathNewProject`
`(package private) String` `possibleInterfaces`
`(package private) Set` `resourceInterfaces`
`(package private) String` `resourceName`
`(package private) JLabel` `resourceNameLabel`
`(package private) JTextField` `resourceNameTextField`
`(package private) String` `resourceType`
`(package private) Map` `resourceTypes`
`(package private) JComboBox` `resourceTypesComboBox`
`(package private) JLabel` `resourceTypesLabel`
`(package private) BootStrapDialog` `thisBootStrapDialog`

Fields inherited from class javax.swing.JDialog
`accessibleContext, defaultCloseOperation, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Dialog
`base, keepBlocking, modal, nameCounter, resizable, serialVersionUID, title`

Fields inherited from class java.awt.Window
`active, dbg, focusMgr, inputContext, inputContextLock, OPENED, ownedWindowList, state, warningString, weakThis, windowListener, windowSerializedDataVersion`

Fields inherited from class java.awt.Container
`component, containerListener, containerSerializedDataVersion, dispatcher, layoutMgr, listeningBoundsChildren, listeningChildren, maxSize, ncomponents, printing, printingThreads`

Fields inherited from class java.awt.Component

`actionListenerK, adjustmentListenerK, appContext, background, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, changeSupport, componentListener, componentListenerK, componentOrientation, componentSerializedDataVersion, containerListenerK, cursor, dropTarget, enabled, eventMask, focusListener, focusListenerK, font, foreground, graphicsConfig, hasFocus, height, hierarchyBoundsListener, hierarchyBoundsListenerK, hierarchyListener, hierarchyListenerK, incRate, inputMethodListener, inputMethodListenerK, isInc, isPacked, itemListenerK, keyListener, keyListenerK, LEFT_ALIGNMENT, locale, LOCK, metrics, minSize, mouseListener, mouseListenerK, mouseMotionListener, mouseMotionListenerK, name, nameExplicitlySet, newEventsOnly, ownedWindowK, parent, peer, peerFont, popups, prefSize, privateKey, RIGHT_ALIGNMENT, textListenerK, TOP_ALIGNMENT, valid, visible, width, windowClosingException, windowListenerK, x, y`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`BootStrapDialog(MainFrame aMainFrame)`

Method Summary
`private void` `doCreateResource()`
`Set` `getSelectedInterfaces()` It returns the interfaces the resource implements
`void` `initGuiComponents()` This method initializes the GUI components
`void` `initListeners()` This one initializes the listeners fot the GUI components
`void` `initLocalData()` Initialises the data (the loaded resources)

Methods inherited from class javax.swing.JDialog

`addImpl, createRootPane, createRootPaneException, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isRootPaneCheckingEnabled, paramString, processKeyEvent, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setLocationRelativeTo, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`<clinit>, addNotify, conditionalShow, constructComponentName, dispose, disposeImpl, getTitle, hide, hideAndDisposeHandler, initIDs, interruptBlocking, isModal, isResizable, setModal, setResizable, setTitle, show`

Methods inherited from class java.awt.Window

`addOwnedWindow, addWindowListener, adjustListeningChildren, applyResourceBundle, applyResourceBundle, connectOwnedWindow, dispatchEventImpl, eventEnabled, finalize, getFocusOwner, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, isActive, isShowing, nextFocus, ownedInit, pack, postEvent, postProcessKeyEvent, postWindowEvent, preProcessKeyEvent, processEvent, readObject, removeOwnedWindow, removeWindowListener, resetGC, setCursor, setFocusOwner, setWarningString, toBack, toFront, transferFocus, writeObject`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, applyOrientation, checkGD, countComponents, createChildHierarchyEvents, createHierarchyEvents, deliverEvent, dispatchEventToSelf, doLayout, findComponentAt, findComponentAt, findComponentAt, getAccessibleAt, getAccessibleChild, getAccessibleChildrenCount, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents_NoClientCode, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getMouseEventTarget, getPreferredSize, getWindow, insets, invalidate, invalidateTree, isAncestorOf, layout, lightweightPaint, lightweightPrint, list, list, locate, minimumSize, numListening, paint, paintComponents, paintHeavyweightComponents, postsOldMouseEvents, preferredSize, print, printComponents, printHeavyweightComponents, processContainerEvent, proxyEnableEvents, proxyRequestFocus, remove, removeAll, removeContainerListener, removeNotify, setFont, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, areInputMethodsEnabled, bounds, checkImage, checkImage, checkWindowClosingException, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getAccessibleIndexInParent, getAccessibleStateSet, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont_NoClientCode, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen_NoTreeLock, getLocationOnScreen, getName, getNativeContainer, getParent_NoClientCode, getParent, getPeer, getSize, getSize, getToolkitImpl, getTreeLock, getWidth, getWindowForObject, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isEnabledImpl, isFocusTraversable, isLightweight, isOpaque, isRecursivelyVisible, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### mainFrame

    MainFrame mainFrame

### thisBootStrapDialog

    BootStrapDialog thisBootStrapDialog

### bootStrapWizard

    BootStrap bootStrapWizard

### resourceName

    String resourceName

### packageName

    String packageName

### resourceType

    String resourceType

### resourceTypes

    Map resourceTypes

### className

    String className

### resourceInterfaces

    Set resourceInterfaces

### possibleInterfaces

    String possibleInterfaces

### pathNewProject

    String pathNewProject

### resourceNameLabel

    JLabel resourceNameLabel

### resourceNameTextField

    JTextField resourceNameTextField

### packageNameLabel

    JLabel packageNameLabel

### packageNameTextField

    JTextField packageNameTextField

### resourceTypesLabel

    JLabel resourceTypesLabel

### resourceTypesComboBox

    JComboBox resourceTypesComboBox

### classNameLabel

    JLabel classNameLabel

### classNameTextField

    JTextField classNameTextField

### interfacesLabel

    JLabel interfacesLabel

### interfacesTextField

    JTextField interfacesTextField

### chooseFolderLabel

    JLabel chooseFolderLabel

### chooseFolderTextField

    JTextField chooseFolderTextField

### chooseFolderButton

    JButton chooseFolderButton

### createResourceButton

    JButton createResourceButton

### cancelButton

    JButton cancelButton

### fileChooser

    JFileChooser fileChooser

Constructor Detail

### BootStrapDialog

    public BootStrapDialog(MainFrame aMainFrame)

Method Detail

### doCreateResource

    private void doCreateResource()

### initLocalData

    public void initLocalData()

  Initialises the data (the loaded resources)

### initGuiComponents

    public void initGuiComponents()

  This method initializes the GUI components

### initListeners

    public void initListeners()

  This one initializes the listeners fot the GUI components

### getSelectedInterfaces

    public Set getSelectedInterfaces()

  It returns the interfaces the resource implements